Subject: Re: [PATCH 1/4] usage: help the user help themselves

From: Junio C Hamano <[email-masked]>
Date: Thu, 28 Aug 2025 08:09:06 -0700

"Kristoffer Haugsbakk" <[email-masked]> writes:

> On Thu, Aug 28, 2025, at 00:26, Junio C Hamano wrote:
>> Eric Sunshine <[email-masked]> writes:
>>
>>> command being retired -- was to reference the provided hints. So,
>>> something like this:
>>>
>>>   - send an email to <...> to let us know
>>>     that you still use this command and were unable
>>>     to determine a suitable replacement using the hints
>>>     provided here
>>
>> Ah, of course, yes, with Kristoffer's update to tell what the
>> alternative is, your phrasing is perfect.
>
> I think so too.  Just keep in mind that pack-redundant does not have
> that part.

For pack-redundant, isn't it because there is no need to find
suitable replacement?  That is, instead of finding a redundant pack,
all of whose objects are contained in some other packs, which
practically is impossible to exist in a non-toy repository, and deal
with it yourself, you can let the normal "repack" to eject redundant
objects from all the non-kept packs.

> I think I’ll use that suggestion verbatim.

Sounds good.